Skip to main content
POST
Create an employee
This API endpoint is in beta and may be subject to changes, including breaking changes (similarly to the legacy API endpoints), without prior notice. Read more about versioning.
OAuth 2.0 scopes

EstablishmentsThis API endpoint will filter out results based on accessible business-establishments.You may only access employees whose applicable business-establishments are accessible to you.

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Body

application/json

The employee to create.

Representation of an employee with their applicable employment as well as job-position.

remoteId
string
required

Login of the employee. Must be unique.

Required string length: 1 - 100
givenName
string
required

Name given at birth. In the U.S.A., the first name of a person. In French: "prénom". Leading and trailing spaces are automatically removed.

Required string length: 1 - 255
familyName
string
required

Name inherited from the person's family. In the U.S.A., the last name of a person. In French: "nom (de famille)". Leading and trailing spaces are automatically removed.

Required string length: 1 - 255
firstEmployment
employment · object
required

The employment resource represents a relationship between an employee and a legal-entity over a continuous period. It may actually represent a work contract, an internship agreement, a contractor's contract, etc...

The actual job of the employee is defined through the job-position resource, which references an employment. Over the course of his/her employment, the employee may occupy several job-positions.

portrait
portrait-reference · object | null

Reference to the employee's portrait, which is a file (picture) representing them.

employeeNumber
null | string
Required string length: 1 - 50
email
null | string<idn-email>

Professional email of this employee. "<" and ">" characters are forbidden. Some domains are blacklisted and may thus result in 400 errors.

Required string length: 3 - 255
phoneNumber
string | null

Professional mobile phone number of this employee.

Maximum string length: 50
Pattern: ^[\s0-9+()-]{6,50}$
Example:

"+3356565656"

Response

Created

The created employee resource.

id
string
Minimum string length: 1
type
string
Allowed value: "employee"
url
string<uri>
remoteId
null | string

Must be unique.

Required string length: 1 - 100
portrait
portrait-reference · object | null

Reference to the employee's portrait, which is a file (picture) representing them.

givenName
string

Name given at birth. In the U.S.A., the first name of a person. In French: "prénom". Leading and trailing spaces are automatically removed.

Required string length: 1 - 255
familyName
string

Name inherited from the person's family. In the U.S.A., the last name of a person. In French: "nom (de famille)". Leading and trailing spaces are automatically removed.

Required string length: 1 - 255
employeeNumber
null | string
Required string length: 1 - 50
status
enum<string>

Read-only. The employee status is calculated from the employee's employments.

  • active: employee has an employment as of today.
  • upcoming: employee currently has no employment but will have one in the future.
  • deactivated: employee used to have an employment but no longer does.
Available options:
active,
upcoming,
deactivated
Example:

"active"

email
null | string<idn-email>

Professional email of this employee. "<" and ">" characters are forbidden. Some domains are blacklisted and may thus result in 400 errors.

Required string length: 3 - 255
birthDay
null | object

Year-less date of birth.

Read-only, as it is infered from the employee-personal-record birthDate. Take note that month starts at "1" and not zero, i.e. "1" is for January, "2" for February, etc...

phoneNumber
string | null

Professional mobile phone number of this employee.

Maximum string length: 50
Pattern: ^[\s0-9+()-]{6,50}$
Example:

"+3356565656"

applicableEmployment
employment-reference · object

Read-only. Reference to the applicable employment of this employee. If the employee status is "deactivated", then references their last employment. If the employee status is "upcoming", then references their closest next employment.

applicableJobPosition
job-position-reference · object

Read-only. Reference to the active job-position of this employee. Matches the same logic as the "applicableEmployment".

createdAt
string<date-time>

Read-only. UTC timestamp of the moment this object was created. The UTC offset may be written Z or +00:00, with up to 7 fractional digits of a second.

Examples:

"2023-01-23T12:45:23.1234567+00:00"

"2023-01-23T12:45:23.1234Z"

lastUpdatedAt
string<date-time>

Read-only. UTC timestamp of the moment this object was last updated. Set upon creation, update or deletion of the object. The UTC offset may be written Z or +00:00, with up to 7 fractional digits of a second.

Examples:

"2023-01-23T12:45:23.1234567+00:00"

"2023-01-23T12:45:23.1234Z"

embedded
object | null

Embeds the representation of resources related to the employee(s).

Only returned if requested by the API client: ?include=embedded.